Subject: bug#7368: display-buffer a softly dedicated window

From: martin rudalics <[email-masked]>
Date: Wed, 17 Nov 2010 15:16:36 +0100

>> It could fail because it falls back on `display-buffer' when the
 >> selected window is a minibuffer window or dedicated.  `pop-to-buffer'
 >> and the remaining members of the `switch-to-buffer' family always fail
 >> to use a weakly dedicated window.
 >>
 >
 > I mean override soft-dedication *inside* display-buffer. And
 > switch-to-buffer actually doesn't fail to override "softly dedicated"
 > window (see my examle).

It doesn't fail in your example.  I explained above how it can fail.

But rather than thinking about how to "fix" this I'd try to find out why
`display-buffer' is called _before_ burying the completions buffer.  The
plain fact that the completions buffer can be reused by `display-buffer'
indicates that it is no more useful at the time `display-buffer' gets
called.

martin